<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigurationDB: fwConfigurationDB_Utils.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigurationDB
   &#160;<span id="projectnumber">8.4.3</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwConfigurationDB__Utils_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwConfigurationDB_Utils.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a589e525ea6fb2118864a14ab7b1a096d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a589e525ea6fb2118864a14ab7b1a096d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e907987f43c422b038583b077baeb4b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a> (dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</td></tr>
<tr class="separator:a0e907987f43c422b038583b077baeb4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75bd3ecbea268af016191f8cf3e3ffab"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a75bd3ecbea268af016191f8cf3e3ffab">fwConfigurationDB_progress</a> (int operationId, string currentOperation, float progress, dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</td></tr>
<tr class="separator:a75bd3ecbea268af016191f8cf3e3ffab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0b4f32cb5d29e4038a08155d79a7371"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#ac0b4f32cb5d29e4038a08155d79a7371">_fwConfigurationDB_progressDialogThread</a> ()</td></tr>
<tr class="separator:ac0b4f32cb5d29e4038a08155d79a7371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab20eebbc9c094c9d0afbd8ecbfb145d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#ab20eebbc9c094c9d0afbd8ecbfb145d3">fwConfigurationDB_openProgressDialog</a> (dyn_int operationIds, dyn_string operationNames)</td></tr>
<tr class="separator:ab20eebbc9c094c9d0afbd8ecbfb145d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader">Private Functions in general module</h2></td></tr>
<tr class="memitem:af4a55d42177975c8e403665759146a08"><td class="memItemLeft" align="right" valign="top"><a id="af4a55d42177975c8e403665759146a08"></a>
private const string&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_CDBSI_Key_database</b> = &quot;ConfigurationDB/dbName&quot;</td></tr>
<tr class="separator:af4a55d42177975c8e403665759146a08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3472035a9ac3fec5513f3facbc23698b"><td class="memItemLeft" align="right" valign="top"><a id="a3472035a9ac3fec5513f3facbc23698b"></a>
private const string&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_CDBSI_Key_username</b> = &quot;ConfigurationDB/user&quot;</td></tr>
<tr class="separator:a3472035a9ac3fec5513f3facbc23698b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf9a2a5bb2543911f9f601683b78a42d"><td class="memItemLeft" align="right" valign="top"><a id="adf9a2a5bb2543911f9f601683b78a42d"></a>
private const string&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_CDBSI_Key_password</b> = &quot;ConfigurationDB/pwd&quot;</td></tr>
<tr class="separator:adf9a2a5bb2543911f9f601683b78a42d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae447c46c6720c818d6c505beef0d1315"><td class="memItemLeft" align="right" valign="top"><a id="ae447c46c6720c818d6c505beef0d1315"></a>
private const string&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_defaultConnectionName</b> = &quot;default_connection&quot;</td></tr>
<tr class="separator:ae447c46c6720c818d6c505beef0d1315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3aa0e1a7d29928aaf3ce7a2365617504"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga3aa0e1a7d29928aaf3ce7a2365617504">_fwConfigurationDB_getPropertiesAndDPEs</a> (string dptName, dyn_string &amp;properties, dyn_string &amp;dpes, string &amp;devTypeName, dyn_string &amp;exceptionInfo, string deviceModel=&quot;&quot;)</td></tr>
<tr class="separator:ga3aa0e1a7d29928aaf3ce7a2365617504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0d676d6dd6d248a1db7f00b75ebbd084"><td class="memItemLeft" align="right" valign="top">dyn_string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga0d676d6dd6d248a1db7f00b75ebbd084">_fwConfigurationDB_getDPTElements</a> (string dptName, dyn_string &amp;exceptionInfo, bool all=FALSE)</td></tr>
<tr class="separator:ga0d676d6dd6d248a1db7f00b75ebbd084"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b613877e2156e94cb06da25c1aaf91f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__PrivateFunctions.html#ga9b613877e2156e94cb06da25c1aaf91f">_fwConfigurationDB_getDPTElements2</a> (string dptName, dyn_string &amp;elementNames, dyn_int &amp;elementTypes, dyn_string &amp;exceptionInfo, bool all=FALSE)</td></tr>
<tr class="separator:ga9b613877e2156e94cb06da25c1aaf91f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9645cfe3f824ba48530ee16525c73d"><td class="memItemLeft" align="right" valign="top"><a id="a6a9645cfe3f824ba48530ee16525c73d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_typeIdToDpeTypeId</b> (int varType)</td></tr>
<tr class="separator:a6a9645cfe3f824ba48530ee16525c73d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35869423f789ddfd0bc8f2e98da9ebd6"><td class="memItemLeft" align="right" valign="top"><a id="a35869423f789ddfd0bc8f2e98da9ebd6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_dataToString</b> (anytype data, int dataType, string listSeparator, string &amp;encodedData, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a35869423f789ddfd0bc8f2e98da9ebd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a942e37307de96357e2613a8d290196f7"><td class="memItemLeft" align="right" valign="top"><a id="a942e37307de96357e2613a8d290196f7"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_stringToData</b> (string encodedData, int dataType, string listSeparator, anytype &amp;data, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a942e37307de96357e2613a8d290196f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd802c25643acf745a44a1ae1c203b52"><td class="memItemLeft" align="right" valign="top"><a id="abd802c25643acf745a44a1ae1c203b52"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_getFwDeviceName</b> (string dptName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:abd802c25643acf745a44a1ae1c203b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ac12bb504fda040005b46408e76df9e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a1ac12bb504fda040005b46408e76df9e">_fwConfigurationDB_getAlertData</a> (dyn_dyn_mixed &amp;recipeObject, int row, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a1ac12bb504fda040005b46408e76df9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abccfe0eff7a96ef3059ecf134edc5e85"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#abccfe0eff7a96ef3059ecf134edc5e85">_fwConfigurationDB_NodeSystemName</a> (string nodeName)</td></tr>
<tr class="separator:abccfe0eff7a96ef3059ecf134edc5e85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82e90231e92e5a051f062fae12c9eb02"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a82e90231e92e5a051f062fae12c9eb02">_fwConfigurationDB_NodeNameWithoutSystem</a> (string nodeName)</td></tr>
<tr class="separator:a82e90231e92e5a051f062fae12c9eb02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab83ba42c5efac0f55782a8a11a05fb7e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#ab83ba42c5efac0f55782a8a11a05fb7e">_fwConfigurationDB_NodeNameWithSystem</a> (string nodeName, string systemName, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ab83ba42c5efac0f55782a8a11a05fb7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbf30e85bbbb5342e767d3f55929c1a5"><td class="memItemLeft" align="right" valign="top"><a id="abbf30e85bbbb5342e767d3f55929c1a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_dpSetMany</b> (dyn_string &amp;dpes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, string systemName=&quot;&quot;)</td></tr>
<tr class="separator:abbf30e85bbbb5342e767d3f55929c1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcf37f2ea3a3dd622525d6aef5196815"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#afcf37f2ea3a3dd622525d6aef5196815">fwConfigurationDB_dpSetManyDist</a> (dyn_string &amp;dpes, dyn_mixed &amp;values, dyn_string &amp;exceptionInfo, bool checkDpeExist=false)</td></tr>
<tr class="separator:afcf37f2ea3a3dd622525d6aef5196815"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a729c4ecb02a02f9265dde492a4ef7815"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a729c4ecb02a02f9265dde492a4ef7815">fwConfigutationDB_dpGetManyDist</a> (dyn_string dpes, dyn_mixed &amp;values, dyn_string exceptionInfo)</td></tr>
<tr class="separator:a729c4ecb02a02f9265dde492a4ef7815"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a202e02c06d1ccab8a2a3cb8b91fe757a"><td class="memItemLeft" align="right" valign="top"><a id="a202e02c06d1ccab8a2a3cb8b91fe757a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fwConfigurationDB_printDynDynMixed</b> (dyn_dyn_mixed data, dyn_string header=&quot;&quot;, int maxrows=0, string description=&quot;Table&quot;)</td></tr>
<tr class="separator:a202e02c06d1ccab8a2a3cb8b91fe757a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad27a6951b6bb7d5e87f19ea9d4a8909e"><td class="memItemLeft" align="right" valign="top"><a id="ad27a6951b6bb7d5e87f19ea9d4a8909e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_queryPrint</b> (string sql, string description=&quot;&quot;, int maxRows=10)</td></tr>
<tr class="separator:ad27a6951b6bb7d5e87f19ea9d4a8909e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4117a6bd7ebf6f43b75a93d7f79301ca"><td class="memItemLeft" align="right" valign="top"><a id="a4117a6bd7ebf6f43b75a93d7f79301ca"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_showItemsInCDB_API_PARAMS</b> (string description=&quot;CDB_API_PARAMS&quot;)</td></tr>
<tr class="separator:a4117a6bd7ebf6f43b75a93d7f79301ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbcc14dd49c1b8492931df76d7c6ef7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#adbbcc14dd49c1b8492931df76d7c6ef7">fwConfigurationDB_genericNotify</a> (string s1, string s2=&quot;&quot;, string s3=&quot;&quot;, int errcatEntry=2000, int prio=PRIO_INFO)</td></tr>
<tr class="separator:adbbcc14dd49c1b8492931df76d7c6ef7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79766ad48abf348e72ed2ba69bbca293"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwConfigurationDB__Utils_8ctl.html#a79766ad48abf348e72ed2ba69bbca293">_fwConfigurationDB_loadDefaultConnection</a> (dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a79766ad48abf348e72ed2ba69bbca293"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5b2c9e0833aa7264e1e200355f74545a"><td class="memItemLeft" align="right" valign="top"><a id="a5b2c9e0833aa7264e1e200355f74545a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>_fwConfigurationDB_saveDefaultConnection</b> (string database, string username, string password, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a5b2c9e0833aa7264e1e200355f74545a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This package contains internal functions of the Configuration Database tool</p>
<p>(c) Copyright CERN, All Rights Reserved </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a589e525ea6fb2118864a14ab7b1a096d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a589e525ea6fb2118864a14ab7b1a096d">&#9670;&nbsp;</a></span>fwConfigurationDB_handleErrors()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_handleErrors </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Handles standard errors, taking care of closing the progress bars, etc Used in panels typical use would be: </p><div class="fragment"><div class="line">someFunction(parameter, exceptionInfo);</div>
<div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a>(exceptionInfo)) <span class="keywordflow">return</span>;</div>
<div class="ttc" id="afwConfigurationDB__Utils_8ctl_html_a589e525ea6fb2118864a14ab7b1a096d"><div class="ttname"><a href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a></div><div class="ttdeci">bool fwConfigurationDB_handleErrors(dyn_string &amp;exceptionInfo)</div><div class="ttdef"><b>Definition:</b> fwConfigurationDB_Utils.ctl:143</div></div>
</div><!-- fragment --><dl class="section see"><dt>See also</dt><dd>see also <a class="el" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a> </dd></dl>

</div>
</div>
<a id="a0e907987f43c422b038583b077baeb4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e907987f43c422b038583b077baeb4b">&#9670;&nbsp;</a></span>fwConfigurationDB_checkErrors()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_checkErrors </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dbRollbackOnError</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>check errors, taking care of closing the progress bars, etc Used in scripts typical use would be: </p><div class="fragment"><div class="line">someFunction(parameter, exceptionInfo);</div>
<div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a>(exceptionInfo,<span class="keyword">true</span>)) <span class="keywordflow">return</span>;</div>
<div class="ttc" id="afwConfigurationDB__Utils_8ctl_html_a0e907987f43c422b038583b077baeb4b"><div class="ttname"><a href="fwConfigurationDB__Utils_8ctl.html#a0e907987f43c422b038583b077baeb4b">fwConfigurationDB_checkErrors</a></div><div class="ttdeci">bool fwConfigurationDB_checkErrors(dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</div><div class="ttdef"><b>Definition:</b> fwConfigurationDB_Utils.ctl:166</div></div>
</div><!-- fragment --><dl class="section see"><dt>See also</dt><dd>see also <a class="el" href="fwConfigurationDB__Utils_8ctl.html#a589e525ea6fb2118864a14ab7b1a096d">fwConfigurationDB_handleErrors</a> </dd></dl>

</div>
</div>
<a id="a75bd3ecbea268af016191f8cf3e3ffab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75bd3ecbea268af016191f8cf3e3ffab">&#9670;&nbsp;</a></span>fwConfigurationDB_progress()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool fwConfigurationDB_progress </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>operationId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>currentOperation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>progress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>dbRollbackOnError</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>reports progress of operation, with handling of "Abort" requests and errors it returns TRUE and the "ABORT" exception in the exceptionInfo when the operation needs to be aborted. Used in the library functions typical use would be: </p><div class="fragment"><div class="line"><span class="keywordflow">if</span> (<a class="code" href="fwConfigurationDB__Utils_8ctl.html#a75bd3ecbea268af016191f8cf3e3ffab">fwConfigurationDB_progress</a>(OPER_LoadFile,<span class="stringliteral">&quot;Loading file&quot;</span>, 35.0, exceptionInfo)) <span class="keywordflow">return</span>;</div>
<div class="ttc" id="afwConfigurationDB__Utils_8ctl_html_a75bd3ecbea268af016191f8cf3e3ffab"><div class="ttname"><a href="fwConfigurationDB__Utils_8ctl.html#a75bd3ecbea268af016191f8cf3e3ffab">fwConfigurationDB_progress</a></div><div class="ttdeci">bool fwConfigurationDB_progress(int operationId, string currentOperation, float progress, dyn_string &amp;exceptionInfo, bool dbRollbackOnError=true)</div><div class="ttdef"><b>Definition:</b> fwConfigurationDB_Utils.ctl:189</div></div>
</div><!-- fragment --> 
</div>
</div>
<a id="ac0b4f32cb5d29e4038a08155d79a7371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0b4f32cb5d29e4038a08155d79a7371">&#9670;&nbsp;</a></span>_fwConfigurationDB_progressDialogThread()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_progressDialogThread </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000005">Reviewed:</a></b></dt><dd>2018-06-22 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-Thread">Thread</a> </dd></dl>

</div>
</div>
<a id="ab20eebbc9c094c9d0afbd8ecbfb145d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab20eebbc9c094c9d0afbd8ecbfb145d3">&#9670;&nbsp;</a></span>fwConfigurationDB_openProgressDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_openProgressDialog </td>
          <td>(</td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>operationIds</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>operationNames</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>opens a custom progress bar Used in panels </p>

</div>
</div>
<a id="a1ac12bb504fda040005b46408e76df9e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ac12bb504fda040005b46408e76df9e">&#9670;&nbsp;</a></span>_fwConfigurationDB_getAlertData()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void _fwConfigurationDB_getAlertData </td>
          <td>(</td>
          <td class="paramtype">dyn_dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>recipeObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the alert settings</p>
<p>This function gets current alert settings for a dp from the system and stores it in the data structure which is a single row of <a class="el" href="index.html#recipeObject">recipeObject</a>. The data point name and data point element are passed in thr recipeRow variable as well.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">recipeRow</td><td>the input/output variable, a single row of the recipeObject refering to a single DPE. <ul>
<li>on entry, recipeRow[fwConfigurationDB_RO_DP_NAME] should contain the datapoint name, and recipeRow[fwConfigurationDB_RO_ELEMENT_NAME] the data point element </li>
<li>on exit, the entries that refer to alerts will be filled with data (indices fwConfigurationDB_RO_HAS_ALERT, and fwConfigurationDB_RO_ALERT_MINIDX to fwConfigurationDB_RO_ALERT_MINIDX), the other will not be touched </li>
</ul>
</td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>standard exception handling variable </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="abccfe0eff7a96ef3059ecf134edc5e85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abccfe0eff7a96ef3059ecf134edc5e85">&#9670;&nbsp;</a></span>_fwConfigurationDB_NodeSystemName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwConfigurationDB_NodeSystemName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns system name of the node. If not specified in nodeName, returns local system </p>

</div>
</div>
<a id="a82e90231e92e5a051f062fae12c9eb02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a82e90231e92e5a051f062fae12c9eb02">&#9670;&nbsp;</a></span>_fwConfigurationDB_NodeNameWithoutSystem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwConfigurationDB_NodeNameWithoutSystem </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the device (node) name, ensuring it does not contain system name </p>

</div>
</div>
<a id="ab83ba42c5efac0f55782a8a11a05fb7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab83ba42c5efac0f55782a8a11a05fb7e">&#9670;&nbsp;</a></span>_fwConfigurationDB_NodeNameWithSystem()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string _fwConfigurationDB_NodeNameWithSystem </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>nodeName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>systemName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Returns the device (node) name, ensuring it has system name in it.</p>
<p>passing "" as systemName means: use local system. </p>

</div>
</div>
<a id="afcf37f2ea3a3dd622525d6aef5196815"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcf37f2ea3a3dd622525d6aef5196815">&#9670;&nbsp;</a></span>fwConfigurationDB_dpSetManyDist()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_dpSetManyDist </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>checkDpeExist</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>performs a dpSet for a list of datapoint elements</p>
<p>the list may contain dpes for many systems - they are sorted/grouped appropriately</p>
<p>The parameters: dpes and values are passed by reference to avoid re-allocation; they are not modified </p>

</div>
</div>
<a id="a729c4ecb02a02f9265dde492a4ef7815"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a729c4ecb02a02f9265dde492a4ef7815">&#9670;&nbsp;</a></span>fwConfigutationDB_dpGetManyDist()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigutationDB_dpGetManyDist </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_mixed &amp;&#160;</td>
          <td class="paramname"><em>values</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Wrapper over dpGet to handle many systems</p>
<p>This function allows to get dpe values from many systems (ie. overcome the limitation of dpGet) </p>

</div>
</div>
<a id="adbbcc14dd49c1b8492931df76d7c6ef7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbbcc14dd49c1b8492931df76d7c6ef7">&#9670;&nbsp;</a></span>fwConfigurationDB_genericNotify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void fwConfigurationDB_genericNotify </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s2</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>s3</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>errcatEntry</em> = <code>2000</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>prio</em> = <code>PRIO_INFO</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Printout function that uses PVSS error messages. </p>

</div>
</div>
<a id="a79766ad48abf348e72ed2ba69bbca293"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79766ad48abf348e72ed2ba69bbca293">&#9670;&nbsp;</a></span>_fwConfigurationDB_loadDefaultConnection()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwConfigurationDB_loadDefaultConnection </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Auto-configures DB-connectivity parameters using fwInstallationTool (CDBSI)</p>
<dl class="reviewed"><dt><b><a class="el" href="reviewed.html#_reviewed000006">Reviewed:</a></b></dt><dd>2018-06-26 <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-StandaloneTool">StandaloneTool</a> <a href="https://readthedocs.web.cern.ch/display/ICKB/FW+Consolidation+Redesign+deprecation+whitelist+reasons#FWConsolidationRedesigndeprecationwhitelistreasons-API">API</a></dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwConfigurationDB__Utils_8ctl.html">fwConfigurationDB_Utils.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
